{% extends '../../base.html'%} {% block main %} {% load static %}



<div style="display: flex;">
  <div class="container container d-flex flex-column position-relative">
    {% include "../../components/quick_access.html" %}
    {% if commands|length == 0 %}
    <div class="d-flex flex-column w-100 h-fit gap-0">
      <div class="w-100 h-15 alert alert-danger text-center fs-6 mt-5" role="alert">
        Nous sommes en train de développer notre site, et bien que certaines fonctionnalités ne soient pas encore disponibles, nous sommes reconnaissants de votre patience.
      </div>
      <div class="w-100 h-25 alert alert-warning text-center fs-3 mt-5" role="alert" >
        Vous n'avez passé aucune commande pour le moment !
      </div>
    </div>
    {% else %}
      <div class="table-container">
        <div class="sort">
          <div class="select">
            <select id="status" class="form-select" aria-label="Default select example">
              <option value="0" selected>Tout</option>
              <option value="1">En cours de validation</option>
              <option value="2">Validée</option>
              <option value="3">Colis reçu</option>
              <option value="4">En cours de réparation</option>
              <option value="5">Réparé</option>
              <option value="6">Colis renvoyé</option>
            </select>
          </div>
          <div class="search">
            <div class="input-group">
              <input placeholder="Recharcher ..." type="text" class="form-control pl-1" aria-label="Sizing example input" aria-describedby="inputGroup-sizing-default">
              <span class="input-group-text" id="inputGroup-sizing-default" title="Recharcher par le numéro de suivi ou par la siret">
                <i class="fa-solid fa-magnifying-glass"></i>
              </span>
            </div>
          </div>


        </div>
        <span>*IND : Informations Non Disponibles</span>
        <table class="table table-dark table-striped">
          <tr>
            <th>N° commande</th>
            <th>Statut</th>
            <th>Montant</th>
            <th>N° suivi</th>
          </tr>
          {% for commands in commands %}
          <tr>
            <td>{% if request.user.is_superuser %}<a href="">{{ commands.command_number }}</a>{% else %}{{ commands.command_number }}{% endif %}</td>
            <td>{{ commands.get_status }}</td>
            <td>{{ commands.get_total_amount }}</td>
            <td>{% if command.tracking_number %}{{ commands.tracking_number }}{% else %} <span id="ind">IND *</span> {% endif %}</td>
          </tr>
          {% endfor %}
          </tr>
        </table>
      </div>
    {% endif %}
  </div>
</div>
</div>

<script>

</script>


{% endblock main%}